# gmtget

Get individual GMT default settings or download data sets

## Synopsis

gmt get [ PARAMETER1 PARAMETER2 PARAMETER3 … ] [ -D selection ] [ -G defaultsfile ] [ -I inc[m|s] ] [ -L ] [ -N ] [ -Q ] [ -V[level] ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

Normally, get will list the value of one or more specified GMT default parameters. Alternatively (with -D), it will instead download selected sets remote data from the current GMT data server.

## Optional Arguments

PARAMETER

  Provide one or several parameters of interest. The current value of those parameters will be written to standard output. For a complete listing of available parameters and their meaning, see the gmt.conf man page.

-D selection

  Download one or more directories of data from the GMT server. Here, selection may be cache (get the entire cache directory with the files used in the GMT examples and tests), data (the entire data directory on the server), or all (both cache and data). You can further limit the data download by appending =planet or =datasetlist. Consult the Datasets documentation to see what data sets are currently available from the server as this may change over time.

-G defaultsfile

  Name of specific gmt.conf file to read [Default looks first in current directory, then in your home directory, then in ~/.gmt and finally in the system defaults].

-I inc[m|s]

  In conjunction with -D, limit the download of grids to those with grid spacing equal to or larger than inc [no limit].

-L

  Return the values of the parameters on separate lines [Default returns all selected parameter values on one line separated by spaces].

-N

  Used in conjunction with -D and disables the otherwise automatic conversion of downloaded compressed JP2000 tiles to locally (compressed) netCDF grids. This speeds up the total data request and defers the conversion to when the tile is requested by a module.

-Q

  Can be used in conjunction with -D (and -I) to provide a listing of available datasets (no downloading takes place). The output is one record per dataset giving the information as planet group dataset size nitems remark. For datasets that are tiled, the size is set to N/A (tile sizes vary but are usually just a few Mb each) and nitems indicates the number of tiles.

-V[level]

  Select verbosity level [w]. (See full description) (See cookbook information).

-^ or just -

  Print a short message about the syntax of the command, then exit (Note: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Examples

To download all the Earth gridded products, leaving tiles as JP2000 files, try:

    gmt get -Ddata=earth -N

To download just the Earth masks and day image data, with a cutoff at 1x1 arc minutes, try:

    gmt get -Ddata=earth_mask,earth_day -I1m

To download the entire cache directory contents, try:

    gmt get -Dcache

To list the value of the parameter PS_COMMENTS:

    gmt get PS_COMMENTS

To get both the values of the parameter MAP_GRID_CROSS_SIZE_PRIMARY and MAP_GRID_CROSS_SIZE_SECONDARY on one line, try:

    gmt get MAP_GRID_CROSS_SIZE_PRIMARY MAP_GRID_CROSS_SIZE_SECONDARY

## Downloading Data

Be aware that the GMT data server hosts many tens of Gb of data sets. The -D option may require considerable free space on your local computer. Data and cache directories may be removed by using the clear module.

## See Also

clear, gmt, gmt.conf, gmtdefaults, gmtset